let H =
      https://gitlab.horizon-haskell.net/dhall/horizon-spec/-/raw/0.10.0/horizon-spec/package.dhall

let packages =
      { BiobaseENA = H.callHackage "BiobaseENA" "0.0.0.2"
      , BiobaseTypes = H.callHackage "BiobaseTypes" "0.2.1.0"
      , BiobaseXNA = H.callHackage "BiobaseXNA" "0.11.1.1"
      , DPutils = H.callHackage "DPutils" "0.1.1.0"
      , ForestStructures = H.callHackage "ForestStructures" "0.0.1.0"
      , Octree = H.callHackage "Octree" "0.6.0.1"
      , OrderedBits = H.callHackage "OrderedBits" "0.0.2.0"
      , PrimitiveArray =
          H.callGit
            "https://github.com/choener/PrimitiveArray"
            "f18183cf5028ae8d0c6f854356b2b2da2ea20ff5"
            (None H.Subdir)
      , SciBaseTypes = H.callHackage "SciBaseTypes" "0.1.1.0"
      , bimaps = H.callHackage "bimaps" "0.1.0.2"
      , biocore = H.callHackage "biocore" "0.3.1"
      , bits = H.callHackage "bits" "0.6"
      , blastxml = H.callHackage "blastxml" "0.3.2"
      , cereal-text = H.callHackage "cereal-text" "0.1.0.2"
      , fgl = H.callHackage "fgl" "5.8.1.1"
      , hPDB =
          H.callGit
            "https://github.com/locallycompact/hPDB"
            "133fd21368c1a4283764a87e2a265fda9e058b4b"
            (None H.Subdir)
      , intern = H.callHackage "intern" "0.9.4"
      , iterable = H.callHackage "iterable" "3.0"
      , log-domain = H.callHackage "log-domain" "0.13.2"
      , memexml = H.callHackage "memexml" "0.0.3"
      , microbench = H.callHackage "microbench" "0.1"
      , mmap = H.callHackage "mmap" "0.5.9"
      , pipes-bytestring = H.callHackage "pipes-bytestring" "2.1.7"
      , pipes-group = H.callHackage "pipes-group" "1.0.12"
      , pipes-parse = H.callHackage "pipes-parse" "3.0.9"
      , stringable = H.callHackage "stringable" "0.1.3"
      , text-binary = H.callHackage "text-binary" "0.2.1.1"
      }

in  H.HorizonExport.MakeOverlay
      { overlayFile = "overlay.nix"
      , packagesDir = "pkgs/"
      , overlay = { compiler = "ghc-9.4.4", packages = toMap packages }
      }
