{ mkDerivation, DPutils, OrderedBits, QuickCheck, aeson, base
, binary, bits, cereal, cereal-vector, containers, criterion
, deepseq, fetchgit, hashable, hashtables, lens, lib, log-domain
, mtl, primitive, smallcheck, tasty, tasty-quickcheck
, tasty-smallcheck, tasty-th, text, unordered-containers, vector
, vector-algorithms, vector-binary-instances, vector-th-unbox
}:
mkDerivation {
  pname = "PrimitiveArray";
  version = "0.10.2.0";
  src = fetchgit {
    url = "https://github.com/choener/PrimitiveArray";
    sha256 = "1c3ar2jvv9bf0mr2z1c9lj4sfg7156hcz6p5s6hb43wnq5jykw2b";
    rev = "f18183cf5028ae8d0c6f854356b2b2da2ea20ff5";
    fetchSubmodules = true;
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    aeson base binary bits cereal cereal-vector containers deepseq
    DPutils hashable hashtables lens log-domain mtl OrderedBits
    primitive QuickCheck smallcheck text unordered-containers vector
    vector-algorithms vector-binary-instances vector-th-unbox
  ];
  testHaskellDepends = [
    aeson base binary bits cereal cereal-vector containers deepseq
    DPutils hashable hashtables lens log-domain mtl OrderedBits
    primitive QuickCheck smallcheck tasty tasty-quickcheck
    tasty-smallcheck tasty-th text unordered-containers vector
    vector-algorithms vector-binary-instances vector-th-unbox
  ];
  benchmarkHaskellDepends = [
    aeson base binary bits cereal cereal-vector containers criterion
    deepseq DPutils hashable hashtables lens log-domain mtl OrderedBits
    primitive QuickCheck smallcheck text unordered-containers vector
    vector-algorithms vector-binary-instances vector-th-unbox
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/choener/PrimitiveArray";
  description = "Efficient multidimensional arrays";
  license = lib.licenses.bsd3;
  broken = false;
}