{ mkDerivation, Octree, QuickCheck, base, bytestring, containers
, deepseq, directory, fetchgit, ghc-prim, iterable, lib, linear
, mmap, mtl, parallel, tagged, template-haskell, text
, unordered-containers, vector, zlib
}:
mkDerivation {
  pname = "hPDB";
  version = "1.5.0.0";
  src = fetchgit {
    url = "https://github.com/locallycompact/hPDB";
    sha256 = "1zpw0xsap1skanw8sgqcwgzbnx2i9kn10zwp9mnpyw0lndzbyz1d";
    rev = "133fd21368c1a4283764a87e2a265fda9e058b4b";
    fetchSubmodules = true;
  };
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [
    base bytestring containers deepseq directory ghc-prim iterable
    linear mmap mtl Octree parallel QuickCheck tagged template-haskell
    text unordered-containers vector zlib
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = false;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/BioHaskell/hPDB";
  description = "Protein Databank file format library";
  license = lib.licenses.bsd3;
  broken = false;
}